%global with_python3 1
%global with_python2 0
%global with_python39 0
%global with_python311 0
%if 0%{?fedora} || 0%{?rhel} == 9
%global with_python39 1
%global with_python311 0
%global with_python3 0
%endif
%if 0%{?fedora} || 0%{?rhel} < 9
%global with_python39 0
%global with_python311 0
%global with_python3 1
%endif

%global python3_pkgversion 3
%global python3_pkgversion2 36

%if %{?with_python39}
%if 0%{?fedora} || 0%{?rhel} < 9
%global __python_provides /usr/lib/rpm/pythondistdeps.py --provides --majorver-provides-versions 2.7,3.6,3.8,3.9
%endif
%global __python39 /usr/bin/python3.9
%global python39_pkgversion 39
%global python39_pkgversion2 3.9
%global python39_sitelib /usr/lib/python3.9/site-packages
%endif

%if %{?with_python311}
%global __python_provides /usr/lib/rpm/pythondistdeps.py --provides --majorver-provides-versions 2.7,3.6,3.8,3.9,3.11
%global __python311 /usr/bin/python3.11
%global python311_pkgversion 311
%global python311_pkgversion2 3.11
%global python311_sitelib /usr/lib/python3.11/site-packages
%endif


%define debug_package %{nil}

%define srcname oci
%define oci_version 2.126.1
%define rpmname oci-sdk

Name: python-oci-sdk
Version:        2.126.1
Release: 1%{?dist}
Url: http://pypi.python.org/pypi/%{srcname}
Summary: Oracle Cloud Infrastructure Python SDK
License: Apache2.0
Group: Development/Libraries
#Source: https://files.pythonhosted.org/packages/source/o/%%{srcname}/%%{srcname}-%%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%define cryptograph_version1 3.2.1
%define cryptograph_version2 43.0.0
%define dateutil_version 2.8.2
%define pyopenssl_version 19.1.0
%define click_version 8.0.4
%define six_version 1.15.0
%define configparser_version 4.0.2

SOURCE0: %{srcname}-%{version}.tar.bz2
SOURCE1: six-%{six_version}.tar.gz
SOURCE2: click-%{click_version}.tar.gz
SOURCE3: python-dateutil-%{dateutil_version}.tar.gz
SOURCE4: pyOpenSSL-%{pyopenssl_version}.tar.gz
PATCH0:  LICENSE.txt.patch

#BuildArch: noarch

%global _description\
Python SDK for Oracle Cloud Infrastructure.


%if %{with_python2}
#%%package -n python2-%%{rpmname}
#Summary: %%summary

BuildRequires: python2-devel
BuildRequires: python-setuptools >= 24.3
BuildRequires: openssl-devel 

#required by SDK  
#  embedded in SDK
#        "idna = 2.10",
#        "six = 1.15.0",
#        "requests = 2.25.1",
#        "urllib3 = 1.24.1"
#        "chardet = 4.0.0"
#        "httpsig_cffi"
#        "jwt = 1.7.1"

Requires: python-certifi >= 2017.4.17
Requires: python-configparser == %{configparser_version}
Requires: pytz	>= 2016.10
Requires: python-cryptography >= %{cryptograph_version1}
Requires: python-cryptography < %{cryptograph_version2}
Requires: python%{python3_pkgversion}-circuitbreaker >= 1.3.1
Requires: python%{python3_pkgversion}-circuitbreaker < 2

# bundled deps: six, dateutils, pyOpenSSL

# Required by dateutil
BuildRequires: python2-setuptools_scm

provides: python2-%{rpmname} = %{version}-%{release}
%endif 

%description %_description

%if %{?with_python3}
%package -n python%{python3_pkgversion2}-%{rpmname}
Summary: %summary

BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools >= 24.3
BuildRequires: python3-rpm-macros
BuildRequires: python%{python3_pkgversion}-pip
BuildRequires: openssl-devel 

#required by SDK  

%if 0%{?rhel} == 7
Requires: python%{python3_pkgversion2}-certifi >= 2017.4.17
Requires: python%{python3_pkgversion2}-pytz	>= 2016.10
%else
Requires: python%{python3_pkgversion}-certifi >= 2017.4.17
Requires: python%{python3_pkgversion}-pytz	>= 2016.10
%endif
Requires: python%{python3_pkgversion}-cryptography >= %{cryptograph_version1}
Requires: python%{python3_pkgversion}-cryptography <= %{cryptograph_version2}
Requires: python%{python3_pkgversion}-circuitbreaker >= 1.3.1
Requires: python%{python3_pkgversion}-circuitbreaker < 2
#Required by six bundled:
# Required by dateutil
BuildRequires: python%{python3_pkgversion}-setuptools_scm

provides: python3-%{rpmname} = %{version}-%{release}

%description -n python%{python3_pkgversion2}-%{rpmname} %_description
%endif

%if %{?with_python39}
%package -n python%{python39_pkgversion}-%{rpmname}
Summary: %summary

%if 0%{?rhel} == 8
BuildRequires: python%{python39_pkgversion}-devel
%else
BuildRequires: python%{python3_pkgversion}-devel >= 3.9
%endif
BuildRequires: python%{python3_pkgversion}-setuptools >= 24.3
BuildRequires: python%{python3_pkgversion}-pip
BuildRequires: openssl-devel 

#required by SDK 
%if 0%{?rhel} < 9
Requires: python%{python39_pkgversion}-certifi >= 2017.4.17
Requires: python%{python39_pkgversion}-pytz	>= 2016.10
Requires: python%{python39_pkgversion}-cryptography >= %{cryptograph_version1}
Requires: python%{python39_pkgversion}-cryptography <= %{cryptograph_version2}
Requires: python%{python39_pkgversion}-circuitbreaker >= 1.3.1
Requires: python%{python39_pkgversion}-circuitbreaker < 2
%else
Requires: python%{python39_pkgversion2}-certifi >= 2017.4.17
Requires: python%{python39_pkgversion2}-pytz	>= 2016.10
Requires: python%{python39_pkgversion2}-cryptography >= %{cryptograph_version1}
Requires: python%{python39_pkgversion2}-cryptography <= %{cryptograph_version2}
Requires: python%{python39_pkgversion2}-circuitbreaker >= 1.3.1
Requires: python%{python39_pkgversion2}-circuitbreaker < 2
%endif

#Required by six bundled:
# Required by dateutil
%if 0%{?rhel} < 9
BuildRequires: python%{python39_pkgversion}-setuptools-scm
%else
BuildRequires: python%{python3_pkgversion}-setuptools_scm
%endif

Provides: python3-%{rpmname} = %{version}-%{release}
Provides: python39-%{rpmname} = %{version}-%{release}

%description -n python%{python39_pkgversion}-%{rpmname} %_description
%endif

%if %{?with_python311}
%package -n python%{python311_pkgversion2}-%{rpmname}
Summary: %summary

BuildRequires: python%{python311_pkgversion2}-devel
BuildRequires: python%{python311_pkgversion2}-setuptools >= 24.3
BuildRequires: python%{python311_pkgversion2}-pip
BuildRequires: openssl-devel 

#required by SDK  
Requires: python%{python311_pkgversion2}-certifi >= 2017.4.17
Requires: python%{python311_pkgversion2}-pytz	>= 2016.10
Requires: python%{python311_pkgversion2}-cryptography >= %{cryptograph_version1}
Requires: python%{python311_pkgversion2}-cryptography <= %{cryptograph_version2}
Requires: python%{python311_pkgversion2}-circuitbreaker >= 1.3.1
Requires: python%{python311_pkgversion2}-circuitbreaker < 2
#Required by six bundled:
# Required by dateutil
BuildRequires: python%{python311_pkgversion2}-setuptools-scm

Provides: python3-%{rpmname} = %{version}-%{release}
Provides: python311-%{rpmname} = %{version}-%{release}

%description -n python%{python311_pkgversion2}-%{rpmname} %_description
%endif
%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p1 

patchfile=%{_builddir}/%{srcname}-%{version}/src/oci/__init__.py
sed 4i"import os, sys" -i $patchfile
sed 5i"sys.path.insert(0,(os.path.join(os.path.dirname(__file__),'packages')))" -i $patchfile
sed 5i"sys.path.insert(0,(os.path.join(os.path.dirname(__file__),'_vendor')))" -i $patchfile

mkdir -p packages
tar -zxvf %SOURCE1 --directory=packages
tar -zxvf %SOURCE2 --directory=packages
tar -zxvf %SOURCE3 --directory=packages
tar -zxvf %SOURCE4 --directory=packages

%build
bundled="six click python-dateutil pyOpenSSL"
%if %{with_python2}
%{__python2} setup.py build
mkdir -p site2_packages
for pkg in $bundled; do
pushd packages/${pkg}*
%{__python2} setup.py install -O1 --prefix=%{_prefix} --root=../../site2_packages
popd
done
%endif # with_python2
%if %{with_python3}
export http_proxy=http://www-proxy-ash7.us.oracle.com:80
export https_proxy=http://www-proxy-ash7.us.oracle.com:80
%{__python3} setup.py build
mkdir -p site3_packages
for pkg in $bundled; do
pushd packages/${pkg}*
%{__python3} setup.py install -O1 --prefix=%{_prefix} --root=../../site3_packages
popd
done
%endif # with_python3

%if %{with_python39}
export http_proxy=http://www-proxy-ash7.us.oracle.com:80
export https_proxy=http://www-proxy-ash7.us.oracle.com:80
%{__python39} setup.py build
mkdir -p site39_packages
for pkg in $bundled; do
pushd packages/${pkg}*
%{__python39} setup.py install -O1 --prefix=%{_prefix} --root=../../site39_packages
popd
done
%endif # with_python39

%if %{with_python311}
export http_proxy=http://www-proxy-ash7.us.oracle.com:80
export https_proxy=http://www-proxy-ash7.us.oracle.com:80
%{__python311} setup.py build
mkdir -p site311_packages
for pkg in $bundled; do
pushd packages/${pkg}*
%{__python311} setup.py install -O1 --prefix=%{_prefix} --root=../../site311_packages
popd
done
%endif # with_python311

for pkg in $bundled; do
pushd packages/${pkg}*
licenseDir=${PWD/packages/package_licenses}
mkdir -p $licenseDir
cp LICENSE* $licenseDir
popd
done



%install
%if %{with_python2}
%{__python2} setup.py install -O1 --prefix=%{_prefix} --root=%{buildroot}
install -d %{buildroot}%{python2_sitelib}/oci/packages  
mv  %{_builddir}/%{srcname}-%{version}/site2_packages/usr/*/*/site-packages/* %{buildroot}%{python2_sitelib}/oci/packages
%endif # with_python2

%if %{with_python3}
cd %{_builddir}/%{srcname}-%{version}
%{__python3} setup.py install -O1 --prefix=%{_prefix} --root=%{buildroot}
install -d %{buildroot}%{python3_sitelib}/oci/packages  
mv %{_builddir}/%{srcname}-%{version}/site3_packages/usr/*/*/site-packages/* %{buildroot}%{python3_sitelib}/oci/packages
sed -i "1s:^#!/usr/bin/env python$:#!%{__python3}:" \
    %{buildroot}%{python3_sitelib}/*/*.py*
%endif # with_python3

%if %{with_python39}
cd %{_builddir}/%{srcname}-%{version}
%{__python39} setup.py install -O1 --prefix=%{_prefix} --root=%{buildroot}
install -d %{buildroot}%{python39_sitelib}/oci/packages  
mv %{_builddir}/%{srcname}-%{version}/site39_packages/usr/*/*/site-packages/* %{buildroot}%{python39_sitelib}/oci/packages
sed -i "1s:^#!/usr/bin/env python$:#!%{__python39}:" \
    %{buildroot}%{python39_sitelib}/*/*.py*
%endif

%if %{with_python311}
cd %{_builddir}/%{srcname}-%{version}
%{__python311} setup.py install -O1 --prefix=%{_prefix} --root=%{buildroot}
install -d %{buildroot}%{python311_sitelib}/oci/packages  
mv %{_builddir}/%{srcname}-%{version}/site311_packages/usr/*/*/site-packages/* %{buildroot}%{python311_sitelib}/oci/packages
sed -i "1s:^#!/usr/bin/env python$:#!%{__python311}:" \
    %{buildroot}%{python311_sitelib}/*/*.py*
%endif

# Change the shebang to a versioned Python executable
%if %{with_python2}
sed -i "1s:^#!/usr/bin/env python$:#!%{__python2}:" \
    %{buildroot}%{python2_sitelib}/*/*.py* 
%endif

%clean
rm -rf %{buildroot}

%if %{with_python2}
%files 
%defattr(-,root,root)
%{python2_sitelib}/oci*
%doc README.rst LICENSE.txt THIRD_PARTY_LICENSES.txt CHANGELOG.rst CONTRIBUTING.rst examples/ docs/
%doc package_licenses/
%endif # with_python2

%if %{with_python3}
%files -n  python%{python3_pkgversion2}-%{rpmname}
%defattr(-,root,root)
%{python3_sitelib}/oci*
%doc README.rst LICENSE.txt THIRD_PARTY_LICENSES.txt CHANGELOG.rst CONTRIBUTING.rst examples/ docs/
%doc package_licenses/
%endif # with_python3

%if %{with_python39}
%files -n  python%{python39_pkgversion}-%{rpmname}
%defattr(-,root,root)
%{python39_sitelib}/oci*
%doc README.rst LICENSE.txt THIRD_PARTY_LICENSES.txt CHANGELOG.rst CONTRIBUTING.rst examples/ docs/
%doc package_licenses/
%endif

%if %{with_python311}
%files -n  python%{python311_pkgversion2}-%{rpmname}
%defattr(-,root,root)
%{python311_sitelib}/oci*
%doc README.rst LICENSE.txt THIRD_PARTY_LICENSES.txt CHANGELOG.rst CONTRIBUTING.rst examples/ docs/
%doc package_licenses/
%endif

%changelog
* Tue Apr 30 2024 EL Errata <el-errata_ww@oracle.com> 2.126.1-1
- Update to version 2.126.1

* Tue Apr 23 2024 EL Errata <el-errata_ww@oracle.com> 2.126.0-1
- Update to version 2.126.0

* Tue Apr 16 2024 EL Errata <el-errata_ww@oracle.com> 2.125.3-1
- Update to version 2.125.3

* Mon Apr 08 2024 EL Errata <el-errata_ww@oracle.com> 2.125.2-1
- Update to version 2.125.2

* Tue Apr 02 2024 EL Errata <el-errata_ww@oracle.com> 2.125.1-1
- Update to version 2.125.1

* Tue Mar 26 2024 EL Errata <el-errata_ww@oracle.com> 2.125.0-1
- Update to version 2.125.0

* Tue Mar 19 2024 EL Errata <el-errata_ww@oracle.com> 2.124.2-1
- Update to version 2.124.2

* Tue Mar 12 2024 EL Errata <el-errata_ww@oracle.com> 2.124.1-1
- Update to version 2.124.1

* Mon Mar 04 2024 EL Errata <el-errata_ww@oracle.com> 2.124.0-1
- Update to version 2.124.0

* Tue Feb 27 2024 EL Errata <el-errata_ww@oracle.com> 2.123.0-1
- Update to version 2.123.0

* Tue Feb 20 2024 EL Errata <el-errata_ww@oracle.com> 2.122.0-1
- Update to version 2.122.0

* Tue Feb 13 2024 EL Errata <el-errata_ww@oracle.com> 2.121.1-1
- Update to version 2.121.1

* Tue Feb 06 2024 EL Errata <el-errata_ww@oracle.com> 2.121.0-1
- Update to version 2.121.0

* Tue Jan 30 2024 EL Errata <el-errata_ww@oracle.com> 2.120.0-1
- Update to version 2.120.0

* Mon Jan 22 2024 EL Errata <el-errata_ww@oracle.com> 2.119.1-1
- Update to version 2.119.1

* Tue Jan 16 2024 EL Errata <el-errata_ww@oracle.com> 2.119.0-1
- Update to version 2.119.0

* Wed Jan 10 2024 EL Errata <el-errata_ww@oracle.com> 2.118.2-1
- Update to version 2.118.2

* Tue Jan 09 2024 EL Errata <el-errata_ww@oracle.com> 2.118.1-1
- Update to version 2.118.1

* Tue Dec 12 2023 EL Errata <el-errata_ww@oracle.com> 2.118.0-1
- Update to version 2.118.0
- Disable python3.11-oci-sdk build
- Update Requires
- Fix provides

* Mon Dec 04 2023 EL Errata <el-errata_ww@oracle.com> 2.117.0-1
- Update to version 2.117.0

* Tue Nov 14 2023 EL Errata <el-errata_ww@oracle.com> 2.116.0-1
- Update to version 2.116.0

* Tue Nov 07 2023 EL Errata <el-errata_ww@oracle.com> 2.115.1-1
- Update to version 2.115.1

* Tue Oct 31 2023 EL Errata <el-errata_ww@oracle.com> 2.115.0-1
- Update to version 2.115.0

* Tue Oct 24 2023 EL Errata <el-errata_ww@oracle.com> 2.114.0-1
- Update to version 2.114.0

* Thu Oct 19 2023 EL Errata <el-errata_ww@oracle.com> 2.113.0-1
- Update to version 2.113.0

* Tue Oct 10 2023 EL Errata <el-errata_ww@oracle.com> 2.112.4-1
- Update to version 2.112.4

* Tue Sep 05 2023 EL Errata <el-errata_ww@oracle.com> 2.112.0-1
- Update to version 2.112.0

* Tue Aug 29 2023 EL Errata <el-errata_ww@oracle.com> 2.111.0-1
- Update to version 2.111.0

* Tue Aug 22 2023 EL Errata <el-errata_ww@oracle.com> 2.110.2-1
- Update to version 2.110.2

* Tue Aug 15 2023 EL Errata <el-errata_ww@oracle.com> 2.110.1-1
- Update to version 2.110.1

* Tue Aug 08 2023 EL Errata <el-errata_ww@oracle.com> 2.110.0-1
- Update to version 2.110.0

* Tue Aug 01 2023 EL Errata <el-errata_ww@oracle.com> 2.109.0-1
- Update to version 2.109.0

* Tue Jul 25 2023 EL Errata <el-errata_ww@oracle.com> 2.108.0-1
- Update to version 2.108.0

* Tue Jul 18 2023 EL Errata <el-errata_ww@oracle.com> 2.107.0-1
- Update to version 2.107.0

* Tue Jul 11 2023 EL Errata <el-errata_ww@oracle.com> 2.106.0-1
- Update to version 2.106.0

* Tue Jun 27 2023 EL Errata <el-errata_ww@oracle.com> 2.105.0-1
- Update to version 2.105.0

* Tue Jun 20 2023 EL Errata <el-errata_ww@oracle.com> 2.104.3-1
- Update to version 2.104.3

* Tue Jun 13 2023 EL Errata <el-errata_ww@oracle.com> 2.104.2-1
- Update to version 2.104.2

* Tue Jun 06 2023 EL Errata <el-errata_ww@oracle.com> 2.104.1-1
- Update to version 2.104.1

* Tue May 30 2023 EL Errata <el-errata_ww@oracle.com> 2.104.0-1
- Update to version 2.104.0

* Tue May 23 2023 EL Errata <el-errata_ww@oracle.com> 2.103.0-1
- Update to version 2.103.0

* Tue May 16 2023 EL Errata <el-errata_ww@oracle.com> 2.102.0-1
- Update to version 2.102.0

* Tue May 09 2023 EL Errata <el-errata_ww@oracle.com> 2.101.0-1
- Update to version 2.101.0

* Tue May 02 2023 EL Errata <el-errata_ww@oracle.com> 2.100.0-1
- Update to version 2.100.0

* Tue Apr 25 2023 EL Errata <el-errata_ww@oracle.com> 2.99.1-1
- Update to version 2.99.1

* Tue Apr 18 2023 EL Errata <el-errata_ww@oracle.com> 2.99.0-1
- Update to version 2.99.0

* Tue Apr 11 2023 EL Errata <el-errata_ww@oracle.com> 2.98.0-1
- Update to version 2.98.0

* Tue Apr 04 2023 EL Errata <el-errata_ww@oracle.com> 2.97.0-1
- Update to version 2.97.0

* Tue Mar 28 2023 EL Errata <el-errata_ww@oracle.com> 2.96.1-1
- Update to version 2.96.1

* Tue Mar 21 2023 EL Errata <el-errata_ww@oracle.com> 2.96.0-1
- Update to version 2.96.0
- Updated python-click to version 8.0.4 to support python-oci-cli.

* Tue Mar 14 2023 EL Errata <el-errata_ww@oracle.com> 2.95.0-1
- Update to version 2.95.0

* Tue Mar 07 2023 EL Errata <el-errata_ww@oracle.com> 2.94.0-1
- Update to version 2.94.0

* Tue Feb 28 2023 EL Errata <el-errata_ww@oracle.com> 2.93.1-1
- Update to version 2.93.1

* Tue Feb 21 2023 EL Errata <el-errata_ww@oracle.com> 2.93.0-1
- Update to version 2.93.0

* Tue Feb 14 2023 EL Errata <el-errata_ww@oracle.com> 2.92.0-1
- Update to version 2.92.0

* Tue Feb 07 2023 EL Errata <el-errata_ww@oracle.com> 2.91.0-1
- Update to version 2.91.0

* Tue Jan 31 2023 EL Errata <el-errata_ww@oracle.com> 2.90.4-1
- Update to version 2.90.4

* Tue Jan 24 2023 EL Errata <el-errata_ww@oracle.com> 2.90.3-1
- Update to version 2.90.3

* Tue Jan 17 2023 EL Errata <el-errata_ww@oracle.com> 2.90.2-1
- Update to version 2.90.2

* Tue Jan 10 2023 EL Errata <el-errata_ww@oracle.com> 2.90.1-1
- Update to version 2.90.1

* Tue Dec 13 2022 EL Errata <el-errata_ww@oracle.com> 2.90.0-1
- Update to version 2.90.0

* Tue Dec 06 2022 EL Errata <el-errata_ww@oracle.com> 2.89.0-1
- Update to version 2.89.0

* Tue Nov 22 2022 EL Errata <el-errata_ww@oracle.com> 2.88.2-1
- Update to version 2.88.2

* Tue Nov 15 2022 EL Errata <el-errata_ww@oracle.com> 2.88.1-1
- Update to version 2.88.1

* Tue Nov 08 2022 EL Errata <el-errata_ww@oracle.com> 2.88.0-1
- Update to version 2.88.0
- Downgraded python-click to version 7.1.2 to support python-oci-cli.

* Tue Nov 01 2022 EL Errata <el-errata_ww@oracle.com> 2.87.0-1
- Update to version 2.87.0

* Tue Oct 25 2022 EL Errata <el-errata_ww@oracle.com> 2.86.0-1
- Update to version 2.86.0
- Updated python-click to version 8.0.4 to support python-oci-cli.

* Tue Oct 04 2022 EL Errata <el-errata_ww@oracle.com> 2.85.0-1
- Update to version 2.85.0

* Tue Sep 27 2022 EL Errata <el-errata_ww@oracle.com> 2.84.0-1
- Update to version 2.84.0

* Tue Sep 20 2022 EL Errata <el-errata_ww@oracle.com> 2.83.0-1
- Update to version 2.83.0

* Tue Sep 13 2022 EL Errata <el-errata_ww@oracle.com> 2.82.0-1
- Update to version 2.82.0

* Tue Sep 06 2022 EL Errata <el-errata_ww@oracle.com> 2.81.0-1
- Update to version 2.81.0

* Tue Aug 30 2022 EL Errata <el-errata_ww@oracle.com> 2.80.1-1
- Update to version 2.80.1

* Tue Aug 23 2022 EL Errata <el-errata_ww@oracle.com> 2.80.0-1
- Update to version 2.80.0

* Tue Aug 16 2022 EL Errata <el-errata_ww@oracle.com> 2.79.0-1
- Update to version 2.79.0

* Tue Aug 09 2022 EL Errata <el-errata_ww@oracle.com> 2.78.0-1
- Update to version 2.78.0

* Tue Aug 02 2022 EL Errata <el-errata_ww@oracle.com> 2.77.0-1
- Update to version 2.77.0

* Tue Jul 26 2022 EL Errata <el-errata_ww@oracle.com> 2.76.0-1
- Update to version 2.76.0

* Tue Jul 19 2022 EL Errata <el-errata_ww@oracle.com> 2.75.1-1
- Update to version 2.75.1

* Tue Jul 12 2022 EL Errata <el-errata_ww@oracle.com> 2.75.0-1
- Update to version 2.75.0

* Tue Jul 05 2022 EL Errata <el-errata_ww@oracle.com> 2.74.0-1
- Update to version 2.74.0

* Tue Jun 28 2022 EL Errata <el-errata_ww@oracle.com> 2.73.0-1
- Update to version 2.73.0

* Tue Jun 21 2022 EL Errata <el-errata_ww@oracle.com> 2.72.0-1
- Update to version 2.72.0

* Tue Jun 14 2022 EL Errata <el-errata_ww@oracle.com> 2.71.0-1
- Update to version 2.71.0

* Tue Jun 07 2022 EL Errata <el-errata_ww@oracle.com> 2.70.1-1
- Update to version 2.70.1

* Tue May 31 2022 EL Errata <el-errata_ww@oracle.com> 2.70.0-1
- Update to version 2.70.0

* Tue May 24 2022 EL Errata <el-errata_ww@oracle.com> 2.69.0-1
- Update to version 2.69.0

* Tue May 17 2022 EL Errata <el-errata_ww@oracle.com> 2.68.0-1
- Update to version 2.68.0

* Tue May 10 2022 EL Errata <el-errata_ww@oracle.com> 2.67.0-1
- Update to version 2.67.0

* Tue May 03 2022 EL Errata <el-errata_ww@oracle.com> 2.66.0-1
- Update to version 2.66.0

* Tue Apr 26 2022 EL Errata <el-errata_ww@oracle.com> 2.65.0-1
- Update to version 2.65.0

* Tue Apr 19 2022 EL Errata <el-errata_ww@oracle.com> 2.64.0-1
- Update to version 2.64.0

* Tue Apr 12 2022 EL Errata <el-errata_ww@oracle.com> 2.63.0-1
- Update to version 2.63.0

* Tue Apr 05 2022 EL Errata <el-errata_ww@oracle.com> 2.62.1-1
- Update to version 2.62.1

* Tue Mar 29 2022 EL Errata <el-errata_ww@oracle.com> 2.62.0-1
- Update to version 2.62.0

* Tue Mar 22 2022 EL Errata <el-errata_ww@oracle.com> 2.61.0-1
- Update to version 2.61.0

* Tue Mar 15 2022 EL Errata <el-errata_ww@oracle.com> 2.60.1-1
- Update to version 2.60.1

* Tue Mar 08 2022 EL Errata <el-errata_ww@oracle.com> 2.60.0-1
- Update to version 2.60.0

* Tue Mar 01 2022 EL Errata <el-errata_ww@oracle.com> 2.59.0-1
- Update to version 2.59.0

* Tue Feb 22 2022 EL Errata <el-errata_ww@oracle.com> 2.58.0-1
- Update to version 2.58.0

* Tue Feb 15 2022 EL Errata <el-errata_ww@oracle.com> 2.57.0-1
- Update to version 2.57.0

* Tue Feb 08 2022 EL Errata <el-errata_ww@oracle.com> 2.56.0-1
- Update to version 2.56.0

* Tue Feb 01 2022 EL Errata <el-errata_ww@oracle.com> 2.55.1-1
- Update to version 2.55.1

* Tue Jan 25 2022 EL Errata <el-errata_ww@oracle.com> 2.55.0-1
- Update to version 2.55.0

* Tue Jan 18 2022 EL Errata <el-errata_ww@oracle.com> 2.54.1-1
- Update to version 2.54.1

* Tue Jan 11 2022 EL Errata <el-errata_ww@oracle.com> 2.54.0-1
- Update to version 2.54.0

* Tue Dec 21 2021 EL Errata <el-errata_ww@oracle.com> 2.53.1-1
- Update to version 2.53.1

* Tue Dec 14 2021 EL Errata <el-errata_ww@oracle.com> 2.53.0-1
- Update to version 2.53.0

* Tue Dec 07 2021 EL Errata <el-errata_ww@oracle.com> 2.52.1-1
- Update to version 2.52.1

* Tue Nov 30 2021 EL Errata <el-errata_ww@oracle.com> 2.52.0-1
- Update to version 2.52.0

* Wed Nov 17 2021 EL Errata <el-errata_ww@oracle.com> 2.51.0-1
- Update to version 2.51.0

* Tue Nov 09 2021 EL Errata <el-errata_ww@oracle.com> 2.50.0-1
- Update to version 2.50.0

* Tue Nov 02 2021 EL Errata <el-errata_ww@oracle.com> 2.49.1-1
- Update to version 2.49.1

* Tue Oct 26 2021 EL Errata <el-errata_ww@oracle.com> 2.49.0-1
- Update to version 2.49.0

* Tue Oct 19 2021 EL Errata <el-errata_ww@oracle.com> 2.48.0-1
- Update to version 2.48.0

* Tue Oct 12 2021 EL Errata <el-errata_ww@oracle.com> 2.47.1-1
- Update to version 2.47.1

* Tue Oct 05 2021 EL Errata <el-errata_ww@oracle.com> 2.47.0-1
- Update to version 2.47.0

* Tue Sep 28 2021 EL Errata <el-errata_ww@oracle.com> 2.46.0-1
- Update to version 2.46.0

* Tue Sep 14 2021 EL Errata <el-errata_ww@oracle.com> 2.45.1-1
- Update to version 2.45.1

* Tue Sep 07 2021 EL Errata <el-errata_ww@oracle.com> 2.45.0-1
- Update to version 2.45.0

* Tue Aug 31 2021 EL Errata <el-errata_ww@oracle.com> 2.44.2-1
- Update to version 2.44.2

* Tue Aug 24 2021 EL Errata <el-errata_ww@oracle.com> 2.44.1-1
- Update to version 2.44.1

* Tue Aug 17 2021 EL Errata <el-errata_ww@oracle.com> 2.44.0-1
- Update to version 2.44.0
- Update dependency six to 1.15.0

* Tue Aug 03 2021 EL Errata <el-errata_ww@oracle.com> 2.43.2-1
- Update to version 2.43.2

* Tue Jul 27 2021 EL Errata <el-errata_ww@oracle.com> 2.43.1-1
- Update to version 2.43.1

* Tue Jul 20 2021 EL Errata <el-errata_ww@oracle.com> 2.43.0-1
- Update to version 2.43.0

* Tue Jul 13 2021 EL Errata <el-errata_ww@oracle.com> 2.42.0-1
- Update to version 2.42.0

* Tue Jul 06 2021 EL Errata <el-errata_ww@oracle.com> 2.41.1-1
- Update to version 2.41.1

* Tue Jun 29 2021 EL Errata <el-errata_ww@oracle.com> 2.41.0-1
- Update to version 2.41.0

* Tue Jun 22 2021 Qing Lin <qing.lin@oracle.com> 2.40.1-1
- Update to version 2.40.1
- Change cryptography version to a range
- Use standalone cryptography instead of embedding in the package

* Tue Jun 15 2021 EL Errata <el-errata_ww@oracle.com> 2.40.0-1
- Update to version 2.40.0

* Tue Jun 08 2021 EL Errata <el-errata_ww@oracle.com> 2.39.1-1
- Update to version 2.39.1

* Tue Jun 01 2021 EL Errata <el-errata_ww@oracle.com> 2.39.0-1
- Update to version 2.39.0

* Tue May 25 2021 EL Errata <el-errata_ww@oracle.com> 2.38.4-1
- Update to version 2.38.4

* Tue May 18 2021 EL Errata <el-errata_ww@oracle.com> 2.38.3-1
- Update to version 2.38.3

* Tue May 11 2021 EL Errata <el-errata_ww@oracle.com> 2.38.2-1
- Update to version 2.38.2

* Tue May 04 2021 EL Errata <el-errata_ww@oracle.com> 2.38.1-1
- Update to version 2.38.1

* Tue Apr 27 2021 EL Errata <el-errata_ww@oracle.com> 2.38.0-1
- Update to version 2.38.0

* Tue Apr 20 2021 EL Errata <el-errata_ww@oracle.com> 2.37.0-1
- Update to version 2.37.0

* Tue Apr 13 2021 EL Errata <el-errata_ww@oracle.com> 2.36.0-1
- Update to version 2.36.0

* Tue Apr 06 2021 EL Errata <el-errata_ww@oracle.com> 2.35.1-1
- Update to version 2.35.1

* Tue Mar 30 2021 EL Errata <el-errata_ww@oracle.com> 2.35.0-1
- Update to version 2.35.0

* Tue Mar 23 2021 EL Errata <el-errata_ww@oracle.com> 2.34.0-1
- Update to version 2.34.0

* Tue Mar 16 2021 EL Errata <el-errata_ww@oracle.com> 2.33.0-1
- Update to version 2.33.0

* Tue Mar 09 2021 EL Errata <el-errata_ww@oracle.com> 2.32.1-1
- Update to version 2.32.1

* Tue Mar 02 2021 EL Errata <el-errata_ww@oracle.com> 2.32.0-1
- Update to version 2.32.0

* Tue Feb 23 2021 EL Errata <el-errata_ww@oracle.com> 2.31.2-1
- Update to version 2.31.2

* Tue Feb 16 2021 EL Errata <el-errata_ww@oracle.com> 2.31.1-1
- Update to version 2.31.1

* Tue Feb 09 2021 EL Errata <el-errata_ww@oracle.com> 2.31.0-1
- Update to version 2.31.0

* Tue Feb 02 2021 EL Errata <el-errata_ww@oracle.com> 2.30.0-1
- Update to version 2.30.0

* Tue Jan 26 2021 EL Errata <el-errata_ww@oracle.com> 2.29.0-1
- Update to version 2.29.0

* Tue Jan 19 2021 EL Errata <el-errata_ww@oracle.com> 2.28.0-1
- Update to version 2.28.0

* Tue Jan 12 2021 EL Errata <el-errata_ww@oracle.com> 2.27.0-1
- Update to version 2.27.0

* Tue Dec 15 2020 EL Errata <el-errata_ww@oracle.com> 2.26.0-1
- Update to version 2.26.0

* Wed Dec 09 2020 Qing Lin <el-errata_ww@oracle.com> 2.25.1-1
- Update dependency cryptography and pyOpenSSL.

* Tue Dec 08 2020 EL Errata <el-errata_ww@oracle.com> 2.25.1-1
- Update to version 2.25.1

* Tue Dec 01 2020 EL Errata <el-errata_ww@oracle.com> 2.25.0-1
- Update to version 2.25.0

* Tue Nov 17 2020 EL Errata <el-errata_ww@oracle.com> 2.24.0-1
- Update to version 2.24.0

* Tue Nov 10 2020 EL Errata <el-errata_ww@oracle.com> 2.23.5-1
- Update to version 2.23.5

* Fri Oct 30 2020 EL Errata <el-errata_ww@oracle.com> 2.23.3-1
- Update to version 2.23.3

* Tue Oct 27 2020 EL Errata <el-errata_ww@oracle.com> 2.23.2-1
- Update to version 2.23.2

* Tue Oct 20 2020 EL Errata <el-errata_ww@oracle.com> 2.23.1-1
- Update to version 2.23.1

* Tue Oct 13 2020 EL Errata <el-errata_ww@oracle.com> 2.23.0-1
- Update to version 2.23.0

* Tue Oct 06 2020 EL Errata <el-errata_ww@oracle.com> 2.22.0-1
- Update to version 2.22.0

* Tue Sep 29 2020 EL Errata <el-errata_ww@oracle.com> 2.21.6-1
- Update to version 2.21.6

* Tue Sep 22 2020 EL Errata <el-errata_ww@oracle.com> 2.21.5-1
- Update to version 2.21.5

* Tue Sep 15 2020 EL Errata <el-errata_ww@oracle.com> 2.21.4-1
- Update to version 2.21.4

* Tue Sep 08 2020 EL Errata <el-errata_ww@oracle.com> 2.21.3-1
- Update to version 2.21.3

* Tue Aug 18 2020 Qing Lin <el-errata_ww@oracle.com> 2.21.1-1
- Update to version 2.21.1

* Wed Aug 12 2020 Qing Lin <el-errata_ww@oracle.com> 2.21.0-1.0.1
- Fix the conflict issue during "yum update"  [Orabug: 31747983]
- Include the Licenses of the embedded packages.
- Update the required dependencies based on the source code change

* Tue Aug 11 2020 EL Errata <el-errata_ww@oracle.com> 2.21.0-1
- Update to version 2.21.0

* Tue Aug 04 2020 EL Errata <el-errata_ww@oracle.com> 2.20.0-1
- Update to version 2.20.0

* Tue Jul 28 2020 EL Errata <el-errata_ww@oracle.com> 2.19.0-1
- Update to version 2.19.0

* Tue Jul 21 2020 EL Errata <el-errata_ww@oracle.com> 2.18.1-1
- Update to version 2.18.1

* Tue Jul 14 2020 EL Errata <el-errata_ww@oracle.com> 2.18.0-1
- Update to version 2.18.0

* Tue Jul 07 2020 EL Errata <el-errata_ww@oracle.com> 2.17.2-1
- Update to version 2.17.2

* Tue Jun 30 2020 EL Errata <el-errata_ww@oracle.com> 2.17.1-1
- Update to version 2.17.1

* Tue Jun 23 2020 EL Errata <el-errata_ww@oracle.com> 2.17.0-1
- Update to version 2.17.0

* Tue Jun 16 2020 EL Errata <el-errata_ww@oracle.com> 2.16.1-1
- Update to version 2.16.1

* Tue Jun 09 2020 EL Errata <el-errata_ww@oracle.com> 2.16.0-1
- Update to version 2.16.0

* Thu Jun 04 2020 Qing Lin <qing.lin@oracle.com> 2.15.0-1.0.1
- Added docs and examples to the package [Orabug: 31449070]

* Tue Jun 02 2020 EL Errata <el-errata_ww@oracle.com> 2.15.0-1
- Update to version 2.15.0

* Tue May 19 2020 EL Errata <el-errata_ww@oracle.com> 2.14.3-1
- Update to version 2.14.3

* Tue May 12 2020 EL Errata <el-errata_ww@oracle.com> 2.14.2-1
- Update to version 2.14.2

* Tue May 05 2020 EL Errata <el-errata_ww@oracle.com> 2.14.1-1
- Update to version 2.14.1

* Tue Apr 28 2020 EL Errata <el-errata_ww@oracle.com> 2.14.0-1
- Update to version 2.14.0

* Tue Apr 21 2020 EL Errata <el-errata_ww@oracle.com> 2.13.0-1
- Update to version 2.13.0

* Tue Apr 14 2020 EL Errata <el-errata_ww@oracle.com> 2.12.4-1
- Update to version 2.12.4

* Thu Apr 09 2020 EL Errata <el-errata_ww@oracle.com> 2.12.3-1
- Update to version 2.12.3

* Tue Mar 31 2020 EL Errata <el-errata_ww@oracle.com> 2.12.2-1
- Update to version 2.12.2

* Tue Mar 24 2020 EL Errata <el-errata_ww@oracle.com> 2.12.1-1
- Update to version 2.12.1

* Tue Mar 17 2020 Qing Lin <qing.lin@oracle.com> 2.12.0-1
- Update to version 2.12.0
- Remove unused dependencies.
- Add idna requirement to avoid dependency conflict with CLI.

* Tue Mar 10 2020 EL Errata <el-errata_ww@oracle.com> 2.11.0-1
- Update to version 2.11.0

* Tue Mar 10 2020 Qing Lin <qing.lin@oracle.com> 2.10.7-1.0.2
- Added missing entries in changelog.  [Orabug: 30989862]
- Changed python36-pyOpenSSL version to 17.5.  [Orabug: 31012037]
	
* Wed Mar 04 2020 Qing Lin <qing.lin@oracle.com> 2.10.7-1.0.1
- Update dependency six to 1.14.0
	
* Tue Mar 03 2020 EL Errata <el-errata_ww@oracle.com> 2.10.7-1
- Update to version 2.10.7

* Tue Feb 25 2020 EL Errata <el-errata_ww@oracle.com> 2.10.6-1
- Update to version 2.10.6

* Tue Feb 18 2020 EL Errata <el-errata_ww@oracle.com> 2.10.5-1
- Update to version 2.10.5

* Wed Feb 12 2020 John Mcwalters <john.mcwalters@oracle.com> 2.10.4-1
- Update to version 2.10.4

* Wed Feb 05 2020 Qing Lin <qing.lin@oracle.com> 2.10.3-1.0.1
- added build for python3 

* Tue Feb 04 2020 EL Errata <el-errata_ww@oracle.com> 2.10.2-1
- Update to version 2.10.2

* Tue Jan 28 2020 EL Errata <el-errata_ww@oracle.com> 2.10.2-1
- Update to version 2.10.2

* Tue Jan 21 2020 EL Errata <el-errata_ww@oracle.com> 2.10.1-1
- Update to version 2.10.1

* Wed Jan 15 2020 Tianyue Lan <tianyue.lan@oracle.com> 2.10.0-2
- Upgrade to cryptography-2.8.tar.gz

* Tue Jan 14 2020 Jingdong Lu <jingdong.lu@oracle.com> 2.10.0-1
- Update to version 2.10.0

* Wed Jan 08 2020 Jingdong Lu <jingdong.lu@oracle.com> 2.9.0-1
- Update to version 2.9.0

* Wed Dec 18 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.8.0-1
- Update to version 2.8.0

* Tue Dec 10 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.7.1-1
- Update to version 2.7.1

* Tue Nov 26 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.7.0-1
- Update to version 2.7.0
 
* Tue Nov 19 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.6.5-1
- Update to version 2.6.5

* Wed Nov 13 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.6.4-1
- Update to version 2.6.4

* Tue Nov 05 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.6.3-1
- Update to version 2.6.3

* Tue Oct 29 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.6.2-1
- Update to version 2.6.2

* Tue Oct 15 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.6.1-1
- Update to version 2.6.1

* Tue Oct 08 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.6.0-1
- Update to version 2.6.0

* Tue Oct 01 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.5.2-1
- Update to version 2.5.2

* Tue Sep 24 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.5.1-1
- Update to version 2.5.1

* Tue Sep 17 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.5.0-1
- Update to version 2.5.0

* Tue Sep 10 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.4.0-1
- Update to version 2.4.0

* Tue Sep 03 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.3.3-1
- Update to version 2.3.3

* Tue Aug 27 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.3.2-1
- Update to version 2.3.2

* Tue Aug 20 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.3.1-1
- Update to version 2.3.1

* Tue Aug 13 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.3.0-1
- Update to version 2.3.0

* Tue Aug 06 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.2.21-1
- Update to version 2.2.21

* Tue Jul 30 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.2.20-1
- Update to version 2.2.20

* Tue Jul 23 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.2.19-1
- Update to version 2.2.19

* Tue Jul 16 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.2.18-1
- Update to version 2.2.18

* Tue Jul 09 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.2.17-1
- Update to version 2.2.17

* Tue Jul 02 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.2.16-1
- Update to version 2.2.16

* Tue Jun 25 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.2.15-1
- Update to version 2.2.15

* Tue Jun 18 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.2.14-1
- Update to version 2.2.14

* Tue Jun 11 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.2.13-1
- Update to version 2.2.13

* Tue Jun 04 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.2.12-1
- Update to version 2.2.12

* Tue May 28 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.2.11-1
- Update to version 2.2.11

* Tue May 21 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.2.10-1
- Update to version 2.2.10

* Tue May 14 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.2.9-1
- Update to version 2.2.9

* Tue Apr 16 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.2.7-1
- Update to version 2.2.7

* Tue Apr 09 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.2.6-1
- Update to version 2.2.6

* Tue Apr 02 2019 Alan Steinberg <alan.steinberg@oracle.com> 2.2.5-1
- Update to version 2.2.5
- Modified description and summary to be Oracle Cloud Infrastructure.

* Tue Mar 26 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.2.4-1
- Update to version 2.2.4

* Tue Mar 19 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.2.3-1
- Update to version 2.2.3

* Tue Mar 12 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.2.2-1
- Update to version 2.2.2

* Thu Feb 28 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.2.1-1
- Update to version 2.2.1

* Thu Feb 21 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.2.0-1
- Update to version 2.2.0

* Thu Feb 07 2019 John Mcwalters <john.mcwalters@oracle.com> 2.1.7-1
- Update to version 2.1.7

* Thu Jan 31 2019 John Mcwalters <john.mcwalters@oracle.com> 2.1.6-1.0.1
- Upgrade to cryptography-2.4.2.tar.gz

* Thu Jan 31 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.1.6-1
- Update to version 2.1.6

* Thu Jan 31 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.1.5-2
- Upgrade to cryptography-2.4.2.tar.gz

* Thu Jan 24 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.1.5-1
- Update to version 2.1.5

* Mon Jan 14 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.1.4-1
- Update to version 2.1.4

* Fri Dec 21 2018 Qing Lin <qing.lin@oracle.com> 2.1.3-1.0.1
- Upgrade to cryptography-2.1.4

* Thu Dec 13 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.1.3-1
- Update to version 2.1.3

* Thu Nov 29 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.1.2-1
- Update to version 2.1.2

* Thu Nov 15 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.1.1-1
- Update to version 2.1.1

* Thu Nov 01 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.1.0-1
- Update to version 2.1.0

* Thu Oct 04 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.0.5-1
- Update to version 2.0.5

* Thu Sep 27 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.0.4-1
- Update to version 2.0.4

* Thu Sep 06 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.0.3-1
- Update to version 2.0.3

* Thu Aug 23 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.0.2-1
- Update to version 2.0.2

* Thu Aug 09 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.0.1-1
- Update to version 2.0.1

* Thu Jul 26 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.0.0-1
- Update to version 2.0.0

* Thu Jul 12 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.4.5-1
- Update to version 1.4.5

* Fri Jun 29 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.4.4-1
- Update to version 1.4.4

* Thu Jun 14 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.4.3-1
- Update to version 1.4.3

* Mon Jun 04 2018 Qing Lin <qing.lin@oracle.com> 1.4.1-2
- Fixed the dependency change issue.

* Thu May 31 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.4.1-1
- Update to version 1.4.1

* Thu May 17 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.4.0-1
- Update to version 1.4.0

* Thu May 03 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.3.20-1
- Update to version 1.3.20

* Thu Apr 19 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.3.19-1
- Update to version 1.3.19

* Wed Apr 18 2018 Qing Lin <qing.lin@oracle.com> -1.3.18-2
- Updated the requirement versions same as the package requirement.

* Fri Apr 06 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.3.18-1
- Update to version 1.3.18

* Mon Mar 26 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.3.17-1
- Update to version 1.3.17

* Thu Mar 08 2018 Jingdong Lu <jingdong.lu@oracle.com> 1.3.16-1
- Update to version 1.3.16

* Thu Feb 22 2018 Jingdong Lu <jingdong.lu@oracle.com> - 1.3.15-1
- Update to version 1.3.15

* Fri Feb 09 2018 Qing Lin <qing.lin@oracle.com> -1.3.14-1
- Updated to version 1.3.14

* Tue Jan 23 2018 Qing Lin <qing.lin@oracle.com> -1.3.12-3
- Updated the requirement versions based on requests package.

* Mon Jan 22 2018 Qing Lin <qing.lin@oracle.com> -1.3.12-2
- Add changelog and requires for urllib3.

* Fri Jan 19 2018 Qing Lin <qing.lin@oracle.com> -1.3.12-1
- update for  spec file for oci 1.3.12

* Fri Sep 15 2017 Qing Lin <qing.lin@oracle.com>
- update for  spec file for oci 1.3.7

* Wed May 31 2017 Laszlo (Laca) Peter <laszlo.peter@oracle.com>
- initial spec file for oci 1.3.2
